Update MCP server configuration

Update the configuration settings for an MCP server.

Path parameters

mcp_server_idstringRequired
ID of the MCP Server.

Headers

xi-api-keystringRequired

Request

This endpoint expects an object.
approval_policyenum or nullOptionalDefaults to require_approval_all
The approval mode to set for the MCP server
Allowed values:
force_pre_tool_speechboolean or nullOptional

If set, overrides the server’s force_pre_tool_speech setting for this tool

disable_interruptionsboolean or nullOptional

If set, overrides the server’s disable_interruptions setting for this tool

tool_call_soundenum or nullOptional
Predefined tool call sound type to play during tool execution for all tools from this MCP server
Allowed values:
tool_call_sound_behaviorenum or nullOptionalDefaults to auto
Determines when the tool call sound should play for all tools from this MCP server
Allowed values:
execution_modeenum or nullOptionalDefaults to immediate

If set, overrides the server’s execution_mode setting for this tool

Allowed values:
request_headersmap from strings to strings or objects or nullOptional
The headers to include in requests to the MCP server
disable_compressionboolean or nullOptional
Whether to disable HTTP compression for this MCP server
secret_tokenobject or nullOptional
Optional secret token for authentication with this MCP server
auth_connectionobject or nullOptional
Optional auth connection to use for authentication with this MCP server

Response

Successful Response
idstring
configobject
metadataobject
The metadata of the MCP Server
access_infoobject or null
The access information of the MCP Server
dependent_agentslist of objects
List of agents that depend on this MCP Server.

Errors

422
Unprocessable Entity Error